umbrello 2.34.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
moc_codeimpthread.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/codeimpwizard/codeimpthread.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_CodeImpThread_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_CodeImpThread_t | qt_meta_stringdata_CodeImpThread
static const uint | qt_meta_data_CodeImpThread []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_CodeImpThread_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_CodeImpThread_t
Definition: moc_codeimpthread.cpp:24

## Variable Documentation

## ◆ qt_meta_data_CodeImpThread

const uint qt_meta_data_CodeImpThread[]
| static

## ◆ qt_meta_stringdata_CodeImpThread

const qt_meta_stringdata_CodeImpThread_t qt_meta_stringdata_CodeImpThread
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 13),
QT_MOC_LITERAL(1, 14, 11),
QT_MOC_LITERAL(2, 26, 0),
QT_MOC_LITERAL(3, 27, 8),
QT_MOC_LITERAL(4, 36, 4),
QT_MOC_LITERAL(5, 41, 6),
QT_MOC_LITERAL(6, 48, 12),
QT_MOC_LITERAL(7, 61, 4),
QT_MOC_LITERAL(8, 66, 4),
QT_MOC_LITERAL(9, 71, 12),
QT_MOC_LITERAL(10, 84, 12),
QT_MOC_LITERAL(11, 97, 7),
QT_MOC_LITERAL(12, 105, 6),
QT_MOC_LITERAL(13, 112, 8),
QT_MOC_LITERAL(14, 121, 7),
QT_MOC_LITERAL(15, 129, 3),
QT_MOC_LITERAL(16, 133, 15),
QT_MOC_LITERAL(17, 149, 16),
QT_MOC_LITERAL(18, 166, 13)
},
"CodeImpThread\0askQuestion\0\0question\0"
"int&\0answer\0messageToWiz\0file\0text\0"
"messageToLog\0messageToApp\0aborted\0"
"failed\0finished\0noError\0run\0emitAskQuestion\0"
"emitMessageToLog\0questionAsked"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_codeimpthread.cpp:28